io.netty.handler.codec.xml

## Class XmlElementStart

- java.lang.Object
- - io.netty.handler.codec.xml.XmlElement
  - - io.netty.handler.codec.xml.XmlElementStart

    public class XmlElementStart
    extends XmlElement

Specific `XmlElement` representing beginning of element.

### Constructor Summary

Constructors
Constructor and Description
`XmlElementStart(String name, String namespace, String prefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<XmlAttribute>` `attributes()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.xml.XmlElement

`name, namespace, namespaces, prefix`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlElementStart

    public XmlElementStart(String name,
                           String namespace,
                           String prefix)

### Method Detail

#### attributes

    public List<XmlAttribute> attributes()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `XmlElement`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `XmlElement`

#### toString

    public String toString()

Overrides:
  `toString` in class `XmlElement`